Update a snippet
curl --request PUT \
--url https://www.getsnippets.ai/api/prompts/snippet \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"note": "<string>",
"shortcut": "<string>",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"content": {
"type": "plaintext",
"content": "Hello, world!"
},
"isArchived": true
}
'import requests
url = "https://www.getsnippets.ai/api/prompts/snippet"
payload = {
"title": "<string>",
"note": "<string>",
"shortcut": "<string>",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"content": {
"type": "plaintext",
"content": "Hello, world!"
},
"isArchived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
note: '<string>',
shortcut: '<string>',
folderId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tagIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
content: {type: 'plaintext', content: 'Hello, world!'},
isArchived: true
})
};
fetch('https://www.getsnippets.ai/api/prompts/snippet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"snippetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"usage": {
"remainingRequests": 123
},
"metadata": {
"fieldsUpdated": {},
"tagsAttached": 123
}
}Snippets
Update Snippet
Updates an existing snippet. API Cost: 1 request.
PUT
/
snippet
Update a snippet
Authorizations
API key authentication using Bearer token. Include your API key in the Authorization header.
Query Parameters
The ID of the snippet to update
Body
application/json
⌘I